Subject: Re: [PATCH] ipv4/ipv6: check hop limit field on input

From: Nicolas Dichtel <[email-masked]>
Date: Tue, 02 Jun 2009 11:36:29 +0200

David Miller wrote:
> From: Nicolas Dichtel <[email-masked]>
> Date: Mon, 01 Jun 2009 17:13:43 +0200
> 
>> RFC indicates that a router must drop the packet if this field is 0.
> 
> It only must do this when executing the forwarding function.  It's an
> egress check, not an ingress one.
In my understanding, it can be on input to:
RFC4443 Section 3.3:
    If a router receives a packet with a Hop Limit of zero, or if a
    router decrements a packet's Hop Limit to zero, it MUST discard the
    packet and originate an ICMPv6 Time Exceeded message with Code 0 to
    the source of the packet.

> 
> I'm not applying this patch, it can even break some applications
> out there that use a TTL of zero intentionally to keep traffic
> only on a local subnet.
OK ok. John sends good arguments ;-)

Nicolas